Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problem with RVM and fcron
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
atmosx
n00b
n00b


Joined: 17 Jul 2009
Posts: 38

PostPosted: Sat Jan 14, 2012 11:28 pm    Post subject: Problem with RVM and fcron Reply with quote

Hello,

I'm using Gentoo since ages but I have the bad luck to use gentoo and program in ruby. It's not a good comination. Anyway, I need to install a ruby-1.9.3 script on my gentoo server in order to run it. Problem is that there's no way to get 1.9.3 *easily* and when I'm using the online howtos about it, I get stuck trying to compile "rake". Compilation fails. I didn't find any way to get over that error - mind you my server is an rdc-chipset based device which means compiling packages takes time - so, I just installed RVM which is pretty handy in situations like this.

Then I stuck with crontab. My script needs to run once per week w/ the users permission. Crontab permissions were all messed up. Again the online howtos didn't help much. After loosing like 3 hours and not achievement proper permission setup - crontab had even the same group id with ssmtp, a total mess - I intalled fcron which looked much more flexible than vixie-cron anyway.

Now the problem is that I need fcron to play with RVM in order to load ruby-1.9.3 and gems. I did not find any way to do it yet. I've tried created a wrapper which sources rvm's version but didn't work. I tried to use PATH,SHELL,GEM_HOME variables directly through fcrontab but didn't work either.

Is there anyone who managed to do this: RVM + fcron??

best regards
Back to top
View user's profile Send private message
a3li
Retired Dev
Retired Dev


Joined: 02 Sep 2008
Posts: 122
Location: 독일

PostPosted: Sat Jan 14, 2012 11:36 pm    Post subject: Re: Problem with RVM and fcron Reply with quote

atmosx wrote:
Hello,

I'm using Gentoo since ages but I have the bad luck to use gentoo and program in ruby. It's not a good comination. Anyway, I need to install a ruby-1.9.3 script on my gentoo server in order to run it. Problem is that there's no way to get 1.9.3 *easily* and when I'm using the online howtos about it, I get stuck trying to compile "rake". Compilation fails. I didn't find any way to get over that error - mind you my server is an rdc-chipset based device which means compiling packages takes time - so, I just installed RVM which is pretty handy in situations like this.


How about you post your problem with rake? Otherwise this thread likely belongs into the 'unspported software' board.
_________________
I am Confuism. Do not bother me.
Back to top
View user's profile Send private message
atmosx
n00b
n00b


Joined: 17 Jul 2009
Posts: 38

PostPosted: Sun Jan 15, 2012 1:45 pm    Post subject: Re: Problem with RVM and fcron Reply with quote

a3li wrote:
atmosx wrote:
Hello,

I'm using Gentoo since ages but I have the bad luck to use gentoo and program in ruby. It's not a good comination. Anyway, I need to install a ruby-1.9.3 script on my gentoo server in order to run it. Problem is that there's no way to get 1.9.3 *easily* and when I'm using the online howtos about it, I get stuck trying to compile "rake". Compilation fails. I didn't find any way to get over that error - mind you my server is an rdc-chipset based device which means compiling packages takes time - so, I just installed RVM which is pretty handy in situations like this.


How about you post your problem with rake? Otherwise this thread likely belongs into the 'unspported software' board.


Thanks for the reply. I did what I wanted by using the following syntax on fcrontab:


Code:
atma@comodino ~ $ fcrontab -l
14:45:01 listing atma's fcrontab
# atmat's crontab configuration
SHELL=/bin/bash
PATH=/home/atma/.rvm/gems/ruby-1.9.3-p0/bin:/home/atma/.rvm/gems/ruby-1.9.3-p0@global/bin:/home/atma/.rvm/rubies/ruby-1.9.3-p0/bin:/home/atma/.rvm/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/i486-pc-linux-gnu/gcc-bin/4.5.3
RUBYLIB=/home/atma/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/1.9.1
GEM_HOME='/home/atma/.rvm/gems/ruby-1.9.3-p0'
GEM_PATH='/home/atma/.rvm/gems/ruby-1.9.3-p0:/home/atma/.rvm/gems/ruby-1.9.3-p0@global'
RUBYOPT=rubygems
[...]


You can move the thread if you believe it's the wrong place. Sorry for the incovenience.

Best Regards,

atma
Back to top
View user's profile Send private message
John R. Graham
Administrator
Administrator


Joined: 08 Mar 2005
Posts: 10286
Location: Somewhere over Atlanta, Georgia

PostPosted: Tue Jan 17, 2012 3:22 pm    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software. The OP has moved on but never did explain his problem.

- John
_________________
I can confirm that I have received between 0 and 499 National Security Letters.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum